Chat
- OpenAPI Version:
3.1.0 - API Version:
1.0.0
The Team Chat webhooks allow developers to receive events for Team Chat features.
Operations
POST team_chat.shared_spaces_member_left
- Method:
POST - Path:
team_chat.shared_spaces_member_left - Tags: team_chat
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp, in milliseconds since epoch, at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who left the space. This value returns an empty string for external users. -
object(required)object— Information about the shared space.-
space_id(required)string— The ID of the space that was left. -
space_name(required)string— The name of the space that was left. -
timestamp(required)integer, format:int64— A timestamp, in milliseconds since epoch, at which the event occurred.
-
-
operator(required)string, format:email— The email address of the user who left the space. This value returns an empty string for external users. -
operator_id(required)string— The user ID of the user who who left the space. This value returns an empty string for external users. -
operator_member_id(required)string— The member ID of the user who who left the space.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"operator_member_id": "",
"object": {
"space_id": "",
"space_name": "",
"timestamp": 1
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp, in milliseconds since epoch, at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who left the space. This value returns an empty string for external users. -
object(required)object— Information about the shared space.-
space_id(required)string— The ID of the space that was left. -
space_name(required)string— The name of the space that was left. -
timestamp(required)integer, format:int64— A timestamp, in milliseconds since epoch, at which the event occurred.
-
-
operator(required)string, format:email— The email address of the user who left the space. This value returns an empty string for external users. -
operator_id(required)string— The user ID of the user who who left the space. This value returns an empty string for external users. -
operator_member_id(required)string— The member ID of the user who who left the space.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"operator_member_id": "",
"object": {
"space_id": "",
"space_name": "",
"timestamp": 1
}
}
}
POST team_chat.channel_invitation_removed
- Method:
POST - Path:
team_chat.channel_invitation_removed - Tags: team_chat
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who removed the chat channel invitation. This value returns an empty string for external users. -
object(required)object— Information about the invitation.-
invitee(required)object— Information about the invitee.-
display_name(required)string— The display name of the user who is invited. -
member_idstring— The member ID of the user who is invited. -
user_emailstring, format:email— The email address of the user who is invited. This value returns an empty string for external users.
-
-
inviters(required)array— Information about the inviters.Items:
-
date_created(required)string, format:date-time— The date and time at which the user created the chat channel invitation, in yyyy-MM-dd'T'HH:mm:ss'Z' format. -
display_name(required)string— The display name of the user created invited the chat channel invitation. -
member_id(required)string— The member ID of the user who created the chat channel invitation. -
user_email(required)string, format:email— The email address of the user created invited the chat channel invitation. This value returns an empty string for external users. -
user_id(required)string— The user ID of the user who created the chat channel invitation. This value returns an empty string for external users.
-
-
timestamp(required)integer, format:int64— The timestamp for when the chat channel invitation was removed. -
channelobject— Information about the chat channel. This object is blank for external channel.-
channel_id(required)string— The chat channel's ID. -
channel_name(required)string— The chat channel's name. -
type(required)integer, possible values:1, 2, 3, 4, 5— The type of chat channel: * 1 — Private chat channel. Only invited members can join. * 2 — Private chat channel with the same account. Only invited members who are in the same Zoom account as the chat channel's creator can join. * 3 — Public chat channel. Anyone can search for and join this chat channel. * 4 — An instant channel. This type of channel is created by adding members to a new chat. * 5 — A public channel. Anyone can join this channel and invite members from other Zoom accounts.
-
-
date_timestring, format:date-time— The date and time at which the chat channel invitation was removed, in yyyy-MM-dd'T'HH:mm:ss'Z' format. -
organizationobject— Information about organization of channel owner. This object is blank for external organization.-
org_id(required)string— The organization's ID. -
org_name(required)string— The organization's name.
-
-
-
operator(required)string, format:email— The email address of the user who removed the chat channel invitation. This value returns an empty string for external users. -
operator_id(required)string— The user ID of the user who removed the chat channel invitation. This value returns an empty string for external users. -
operator_member_id(required)string— The member ID of the user who removed the chat channel invitation.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"operator_member_id": "",
"object": {
"organization": {
"org_id": "",
"org_name": ""
},
"channel": {
"channel_id": "",
"channel_name": "",
"type": 1
},
"invitee": {
"display_name": "",
"user_email": "",
"member_id": ""
},
"inviters": [
{
"user_id": "",
"display_name": "",
"user_email": "",
"member_id": "",
"date_created": ""
}
],
"date_time": "",
"timestamp": 1
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who removed the chat channel invitation. This value returns an empty string for external users. -
object(required)object— Information about the invitation.-
invitee(required)object— Information about the invitee.-
display_name(required)string— The display name of the user who is invited. -
member_idstring— The member ID of the user who is invited. -
user_emailstring, format:email— The email address of the user who is invited. This value returns an empty string for external users.
-
-
inviters(required)array— Information about the inviters.Items:
-
date_created(required)string, format:date-time— The date and time at which the user created the chat channel invitation, in yyyy-MM-dd'T'HH:mm:ss'Z' format. -
display_name(required)string— The display name of the user created invited the chat channel invitation. -
member_id(required)string— The member ID of the user who created the chat channel invitation. -
user_email(required)string, format:email— The email address of the user created invited the chat channel invitation. This value returns an empty string for external users. -
user_id(required)string— The user ID of the user who created the chat channel invitation. This value returns an empty string for external users.
-
-
timestamp(required)integer, format:int64— The timestamp for when the chat channel invitation was removed. -
channelobject— Information about the chat channel. This object is blank for external channel.-
channel_id(required)string— The chat channel's ID. -
channel_name(required)string— The chat channel's name. -
type(required)integer, possible values:1, 2, 3, 4, 5— The type of chat channel: * 1 — Private chat channel. Only invited members can join. * 2 — Private chat channel with the same account. Only invited members who are in the same Zoom account as the chat channel's creator can join. * 3 — Public chat channel. Anyone can search for and join this chat channel. * 4 — An instant channel. This type of channel is created by adding members to a new chat. * 5 — A public channel. Anyone can join this channel and invite members from other Zoom accounts.
-
-
date_timestring, format:date-time— The date and time at which the chat channel invitation was removed, in yyyy-MM-dd'T'HH:mm:ss'Z' format. -
organizationobject— Information about organization of channel owner. This object is blank for external organization.-
org_id(required)string— The organization's ID. -
org_name(required)string— The organization's name.
-
-
-
operator(required)string, format:email— The email address of the user who removed the chat channel invitation. This value returns an empty string for external users. -
operator_id(required)string— The user ID of the user who removed the chat channel invitation. This value returns an empty string for external users. -
operator_member_id(required)string— The member ID of the user who removed the chat channel invitation.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"operator_member_id": "",
"object": {
"organization": {
"org_id": "",
"org_name": ""
},
"channel": {
"channel_id": "",
"channel_name": "",
"type": 1
},
"invitee": {
"display_name": "",
"user_email": "",
"member_id": ""
},
"inviters": [
{
"user_id": "",
"display_name": "",
"user_email": "",
"member_id": "",
"date_created": ""
}
],
"date_time": "",
"timestamp": 1
}
}
}
POST team_chat.emoji_added
- Method:
POST - Path:
team_chat.emoji_added - Tags: team_chat
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who added the custom emoji. -
object(required)object— Information about the custom emoji.-
file_id(required)string— The custom emoji's file ID. -
name(required)string— The custom emoji's name.
-
-
operator(required)string, format:email— The email address of the user who added the custom emoji. -
operator_id(required)string— The user ID of the user who added the custom emoji. -
operator_member_id(required)string— The member ID of the user who added the custom emoji.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"operator_member_id": "",
"object": {
"name": "",
"file_id": ""
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who added the custom emoji. -
object(required)object— Information about the custom emoji.-
file_id(required)string— The custom emoji's file ID. -
name(required)string— The custom emoji's name.
-
-
operator(required)string, format:email— The email address of the user who added the custom emoji. -
operator_id(required)string— The user ID of the user who added the custom emoji. -
operator_member_id(required)string— The member ID of the user who added the custom emoji.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"operator_member_id": "",
"object": {
"name": "",
"file_id": ""
}
}
}
POST team_chat.file_changed
- Method:
POST - Path:
team_chat.file_changed - Tags: team_chat
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who changed the files. -
object(required)object— Information about the files.-
files(required)array— The files' information.Items:
-
file_id(required)string— The file's ID. -
file_name(required)string— The file's name. -
file_size(required)integer— The file's size, in bytes. -
OS_file_type(required)string— The file's extension type.
-
-
-
operator(required)string, format:email— The email address of the user who changed the files. -
operator_id(required)string— The user ID of the user who changed the files. -
operator_member_id(required)string— The member ID of the user who changed the files.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"operator_member_id": "",
"object": {
"files": [
{
"file_id": "",
"file_name": "",
"file_size": 1,
"OS_file_type": ""
}
]
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who changed the files. -
object(required)object— Information about the files.-
files(required)array— The files' information.Items:
-
file_id(required)string— The file's ID. -
file_name(required)string— The file's name. -
file_size(required)integer— The file's size, in bytes. -
OS_file_type(required)string— The file's extension type.
-
-
-
operator(required)string, format:email— The email address of the user who changed the files. -
operator_id(required)string— The user ID of the user who changed the files. -
operator_member_id(required)string— The member ID of the user who changed the files.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"operator_member_id": "",
"object": {
"files": [
{
"file_id": "",
"file_name": "",
"file_size": 1,
"OS_file_type": ""
}
]
}
}
}
POST team_chat.channel_join_declined
- Method:
POST - Path:
team_chat.channel_join_declined - Tags: team_chat
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who declined the channel join request. This value returns an empty string for external users. -
object(required)object— Information about the request.-
date_time(required)string, format:date-time— The date and time at which the chat channel join request was declined, in yyyy-MM-dd'T'HH:mm:ss'Z' format. -
requester(required)object— Information about the requester.-
display_name(required)string— The display name of the user who requested to join this chat channel. -
member_id(required)string— The member ID of the user who requested to join this chat channel. -
user_email(required)string, format:email— The email address of the user who requested to join this chat channel. This value returns an empty string for external users. -
user_id(required)string— The user ID of the user who requested to join this chat channel. This value returns an empty string for external users.
-
-
timestamp(required)integer, format:int64— The timestamp for when the chat channel join request was declined. -
channelobject— Information about the chat channel. This object is blank for external channel.-
channel_id(required)string— The chat channel's ID. -
channel_name(required)string— The chat channel's name. -
type(required)integer, possible values:1, 2, 3, 4, 5— The type of chat channel: * 1 — Private chat channel. Only invited members can join. * 2 — Private chat channel with the same account. Only invited members who are in the same Zoom account as the chat channel's creator can join. * 3 — Public chat channel. Anyone can search for and join this chat channel. * 4 — An instant channel. This type of channel is created by adding members to a new chat. * 5 — A public channel. Anyone can join this channel and invite members from other Zoom accounts.
-
-
organizationobject— Information about organization of channel owner. This object is blank for external organization.-
org_id(required)string— The organization's ID. -
org_name(required)string— The organization's name.
-
-
typestring, possible values:"by_channel_owner_account_admin", "by_requester_account_admin", "by_channel_owner"— The operation type of this event: * by_channel_owner_account_admin — The join request is approved or declined by channel owner account admin. * by_requester_account_admin — The join request is approved or declined by requester account admin. * by_channel_owner — The join request is approved or declined by channel owner.
-
-
operator(required)string, format:email— The email address of the user who declined the channel join request. This value returns an empty string for external users. -
operator_id(required)string— The user ID of the user who declined the channel join request. This value returns an empty string for external users. -
operator_member_id(required)string— The member ID of the user who declined the channel join request.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"operator_member_id": "",
"object": {
"organization": {
"org_id": "",
"org_name": ""
},
"channel": {
"channel_id": "",
"channel_name": "",
"type": 1
},
"requester": {
"user_id": "",
"display_name": "",
"user_email": "",
"member_id": ""
},
"date_time": "",
"timestamp": 1,
"type": "by_channel_owner_account_admin"
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who declined the channel join request. This value returns an empty string for external users. -
object(required)object— Information about the request.-
date_time(required)string, format:date-time— The date and time at which the chat channel join request was declined, in yyyy-MM-dd'T'HH:mm:ss'Z' format. -
requester(required)object— Information about the requester.-
display_name(required)string— The display name of the user who requested to join this chat channel. -
member_id(required)string— The member ID of the user who requested to join this chat channel. -
user_email(required)string, format:email— The email address of the user who requested to join this chat channel. This value returns an empty string for external users. -
user_id(required)string— The user ID of the user who requested to join this chat channel. This value returns an empty string for external users.
-
-
timestamp(required)integer, format:int64— The timestamp for when the chat channel join request was declined. -
channelobject— Information about the chat channel. This object is blank for external channel.-
channel_id(required)string— The chat channel's ID. -
channel_name(required)string— The chat channel's name. -
type(required)integer, possible values:1, 2, 3, 4, 5— The type of chat channel: * 1 — Private chat channel. Only invited members can join. * 2 — Private chat channel with the same account. Only invited members who are in the same Zoom account as the chat channel's creator can join. * 3 — Public chat channel. Anyone can search for and join this chat channel. * 4 — An instant channel. This type of channel is created by adding members to a new chat. * 5 — A public channel. Anyone can join this channel and invite members from other Zoom accounts.
-
-
organizationobject— Information about organization of channel owner. This object is blank for external organization.-
org_id(required)string— The organization's ID. -
org_name(required)string— The organization's name.
-
-
typestring, possible values:"by_channel_owner_account_admin", "by_requester_account_admin", "by_channel_owner"— The operation type of this event: * by_channel_owner_account_admin — The join request is approved or declined by channel owner account admin. * by_requester_account_admin — The join request is approved or declined by requester account admin. * by_channel_owner — The join request is approved or declined by channel owner.
-
-
operator(required)string, format:email— The email address of the user who declined the channel join request. This value returns an empty string for external users. -
operator_id(required)string— The user ID of the user who declined the channel join request. This value returns an empty string for external users. -
operator_member_id(required)string— The member ID of the user who declined the channel join request.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"operator_member_id": "",
"object": {
"organization": {
"org_id": "",
"org_name": ""
},
"channel": {
"channel_id": "",
"channel_name": "",
"type": 1
},
"requester": {
"user_id": "",
"display_name": "",
"user_email": "",
"member_id": ""
},
"date_time": "",
"timestamp": 1,
"type": "by_channel_owner_account_admin"
}
}
}
POST chat_channel.member_joined
- Method:
POST - Path:
chat_channel.member_joined - Tags: chat_channel
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp, in milliseconds since epoch, at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who joined the chat channel. -
object(required)object— Information about the chat channel.-
date_time(required)string, format:date-time— The date and time at which the user joined the chat channel, in yyyy-MM-dd'T'HH:mm:ss'Z' format. -
id(required)string— The chat channel's unique ID. -
name(required)string— The chat channel's name. -
timestamp(required)integer, format:int64— The timestamp for when the user joined the chat channel. -
type(required)integer, possible values:1, 2, 3, 4, 5— The type of chat channel: * 1 — Private chat channel. Only invited members can join. * 2 — Private chat channel with the same account. Only invited members who are in the same Zoom account as the chat channel's creator can join. * 3 — Public chat channel. Anyone can search for and join this chat channel. * 4 — An instant channel. This type of channel is created by adding members to a new chat. * 5 — A public channel. Anyone can join this channel and invite members from other Zoom accounts.
-
-
operator(required)string, format:email— The email address of the user who joined the chat channel. -
operator_id(required)string— The user ID of the user who joined the chat channel.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"object": {
"name": "",
"id": "",
"type": 1,
"date_time": "",
"timestamp": 1
},
"operator_id": ""
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp, in milliseconds since epoch, at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who joined the chat channel. -
object(required)object— Information about the chat channel.-
date_time(required)string, format:date-time— The date and time at which the user joined the chat channel, in yyyy-MM-dd'T'HH:mm:ss'Z' format. -
id(required)string— The chat channel's unique ID. -
name(required)string— The chat channel's name. -
timestamp(required)integer, format:int64— The timestamp for when the user joined the chat channel. -
type(required)integer, possible values:1, 2, 3, 4, 5— The type of chat channel: * 1 — Private chat channel. Only invited members can join. * 2 — Private chat channel with the same account. Only invited members who are in the same Zoom account as the chat channel's creator can join. * 3 — Public chat channel. Anyone can search for and join this chat channel. * 4 — An instant channel. This type of channel is created by adding members to a new chat. * 5 — A public channel. Anyone can join this channel and invite members from other Zoom accounts.
-
-
operator(required)string, format:email— The email address of the user who joined the chat channel. -
operator_id(required)string— The user ID of the user who joined the chat channel.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"object": {
"name": "",
"id": "",
"type": 1,
"date_time": "",
"timestamp": 1
},
"operator_id": ""
}
}
POST chat_message.updated
- Method:
POST - Path:
chat_message.updated - Tags: chat_message
Request Body
Content-Type: application/json
-
event(required)string— The event's name. -
event_ts(required)integer, format:int64— A timestamp, in milliseconds since epoch, at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who updated the message. -
object(required)object— Information about the message.-
channel_id(required)string— The chat channel's ID. -
channel_name(required)string— The chat channel's name. -
contact_email(required)string— The email address of the message contact to whom the message was sent. -
contact_id(required)string— The message contact's user ID. -
date_time(required)string, format:date-time— The date and time at which the message was updated, in yyyy-MM-dd'T'HH:mm:ss'Z' format. -
id(required)string— The message's unique ID. -
message(required)string— The updated message content. -
session_id(required)string— The chat session's unique ID. -
timestamp(required)integer, format:int64— The timestamp for when the message was updated. -
type(required)string, possible values:"to_contact", "to_channel"— Whether the message was sent to a chat channel or an individual contact: * to_contact — The message was sent to a contact. * to_channel — The message was sent to a chat channel.
-
-
operator(required)string, format:email— The email address of the user who updated the message. -
operator_id(required)string— The user ID of the user who updated the message.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"object": {
"id": "",
"type": "to_contact",
"date_time": "",
"timestamp": 1,
"session_id": "",
"contact_email": "",
"contact_id": "",
"channel_id": "",
"channel_name": "",
"message": ""
},
"operator_id": ""
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The event's name. -
event_ts(required)integer, format:int64— A timestamp, in milliseconds since epoch, at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who updated the message. -
object(required)object— Information about the message.-
channel_id(required)string— The chat channel's ID. -
channel_name(required)string— The chat channel's name. -
contact_email(required)string— The email address of the message contact to whom the message was sent. -
contact_id(required)string— The message contact's user ID. -
date_time(required)string, format:date-time— The date and time at which the message was updated, in yyyy-MM-dd'T'HH:mm:ss'Z' format. -
id(required)string— The message's unique ID. -
message(required)string— The updated message content. -
session_id(required)string— The chat session's unique ID. -
timestamp(required)integer, format:int64— The timestamp for when the message was updated. -
type(required)string, possible values:"to_contact", "to_channel"— Whether the message was sent to a chat channel or an individual contact: * to_contact — The message was sent to a contact. * to_channel — The message was sent to a chat channel.
-
-
operator(required)string, format:email— The email address of the user who updated the message. -
operator_id(required)string— The user ID of the user who updated the message.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"object": {
"id": "",
"type": "to_contact",
"date_time": "",
"timestamp": 1,
"session_id": "",
"contact_email": "",
"contact_id": "",
"channel_id": "",
"channel_name": "",
"message": ""
},
"operator_id": ""
}
}
POST chat_channel.deleted
- Method:
POST - Path:
chat_channel.deleted - Tags: chat_channel
Request Body
Content-Type: application/json
-
event(required)string— The event's name. -
event_ts(required)integer, format:int64— A timestamp, in milliseconds since epoch, at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who deleted the chat channel. -
object(required)object— Information about the chat channel.-
date_time(required)string, format:date-time— The date and time at which the chat channel was deleted, in yyyy-MM-dd'T'HH:mm:ss'Z' format. -
id(required)string— The chat channel's unique ID. -
name(required)string— The chat channel's name. -
timestamp(required)integer, format:int64— The timestamp for when the chat channel was deleted. -
type(required)integer, possible values:1, 2, 3, 4, 5— The type of chat channel: * 1 — Private chat channel. Only invited members can join. * 2 — Private chat channel with the same account. Only invited members who are in the same Zoom account as the chat channel's creator can join. * 3 — Public chat channel. Anyone can search for and join this chat channel. * 4 — An instant channel. This type of channel is created by adding members to a new chat. * 5 — A public channel. Anyone can join this channel and invite members from other Zoom accounts.
-
-
operator(required)string, format:email— The email address of the user who deleted the chat channel. -
operator_id(required)string— The user ID of the user who deleted the chat channel.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"object": {
"name": "",
"id": "",
"type": 1,
"date_time": "",
"timestamp": 1
},
"operator_id": ""
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The event's name. -
event_ts(required)integer, format:int64— A timestamp, in milliseconds since epoch, at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who deleted the chat channel. -
object(required)object— Information about the chat channel.-
date_time(required)string, format:date-time— The date and time at which the chat channel was deleted, in yyyy-MM-dd'T'HH:mm:ss'Z' format. -
id(required)string— The chat channel's unique ID. -
name(required)string— The chat channel's name. -
timestamp(required)integer, format:int64— The timestamp for when the chat channel was deleted. -
type(required)integer, possible values:1, 2, 3, 4, 5— The type of chat channel: * 1 — Private chat channel. Only invited members can join. * 2 — Private chat channel with the same account. Only invited members who are in the same Zoom account as the chat channel's creator can join. * 3 — Public chat channel. Anyone can search for and join this chat channel. * 4 — An instant channel. This type of channel is created by adding members to a new chat. * 5 — A public channel. Anyone can join this channel and invite members from other Zoom accounts.
-
-
operator(required)string, format:email— The email address of the user who deleted the chat channel. -
operator_id(required)string— The user ID of the user who deleted the chat channel.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"object": {
"name": "",
"id": "",
"type": 1,
"date_time": "",
"timestamp": 1
},
"operator_id": ""
}
}
POST chat_message.deleted
- Method:
POST - Path:
chat_message.deleted - Tags: chat_message
Request Body
Content-Type: application/json
-
event(required)string— The event's name. -
event_ts(required)integer, format:int64— A timestamp, in milliseconds since epoch, at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who deleted the message. -
object(required)object— Information about the message.-
channel_id(required)string— The chat channel's ID. -
channel_name(required)string— The chat channel's name. -
contact_email(required)string— The email address of the contact to whom the message was sent. -
contact_id(required)string— The message contact's user ID. -
date_time(required)string, format:date-time— The date and time at which the message was deleted, in yyyy-MM-dd'T'HH:mm:ss'Z' format. -
id(required)string— The message's unique ID. -
message(required)string— The deleted message content. -
session_id(required)string— The chat session's unique ID. -
timestamp(required)integer, format:int64— The timestamp for when the message was deleted. -
type(required)string, possible values:"to_contact", "to_channel"— Whether the message was sent to a chat channel or an individual contact: * to_contact — The message was sent to a contact. * to_channel — The message was sent to a chat channel.
-
-
operator(required)string, format:email— The email address of the user who deleted the message. -
operator_id(required)string— The user ID of the user who deleted the message.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"object": {
"id": "",
"type": "to_contact",
"date_time": "",
"timestamp": 1,
"session_id": "",
"contact_email": "",
"contact_id": "",
"channel_id": "",
"channel_name": "",
"message": ""
},
"operator_id": ""
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The event's name. -
event_ts(required)integer, format:int64— A timestamp, in milliseconds since epoch, at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who deleted the message. -
object(required)object— Information about the message.-
channel_id(required)string— The chat channel's ID. -
channel_name(required)string— The chat channel's name. -
contact_email(required)string— The email address of the contact to whom the message was sent. -
contact_id(required)string— The message contact's user ID. -
date_time(required)string, format:date-time— The date and time at which the message was deleted, in yyyy-MM-dd'T'HH:mm:ss'Z' format. -
id(required)string— The message's unique ID. -
message(required)string— The deleted message content. -
session_id(required)string— The chat session's unique ID. -
timestamp(required)integer, format:int64— The timestamp for when the message was deleted. -
type(required)string, possible values:"to_contact", "to_channel"— Whether the message was sent to a chat channel or an individual contact: * to_contact — The message was sent to a contact. * to_channel — The message was sent to a chat channel.
-
-
operator(required)string, format:email— The email address of the user who deleted the message. -
operator_id(required)string— The user ID of the user who deleted the message.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"object": {
"id": "",
"type": "to_contact",
"date_time": "",
"timestamp": 1,
"session_id": "",
"contact_email": "",
"contact_id": "",
"channel_id": "",
"channel_name": "",
"message": ""
},
"operator_id": ""
}
}
POST team_chat.emoji_removed
- Method:
POST - Path:
team_chat.emoji_removed - Tags: team_chat
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who removed the custom emoji. -
object(required)object— Information about the custom emoji.-
file_id(required)string— The custom emoji's file ID. -
name(required)string— The custom emoji's name.
-
-
operator(required)string, format:email— The email address of the user who removed the custom emoji. -
operator_id(required)string— The user ID of the user who removed the custom emoji. -
operator_member_id(required)string— The member ID of the user who removed the custom emoji.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"operator_member_id": "",
"object": {
"name": "",
"file_id": ""
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who removed the custom emoji. -
object(required)object— Information about the custom emoji.-
file_id(required)string— The custom emoji's file ID. -
name(required)string— The custom emoji's name.
-
-
operator(required)string, format:email— The email address of the user who removed the custom emoji. -
operator_id(required)string— The user ID of the user who removed the custom emoji. -
operator_member_id(required)string— The member ID of the user who removed the custom emoji.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"operator_member_id": "",
"object": {
"name": "",
"file_id": ""
}
}
}
POST team_chat.channel_pin_added
- Method:
POST - Path:
team_chat.channel_pin_added - Tags: team_chat
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who pinned the chat message. If this action is performed by an external user, the value of the account_id will be an empty string. -
by_external_user(required)boolean— Whether this action was performed by an external user. -
object(required)object— Information about the chat channel and the pinned message.-
channel_id(required)string— The chat channel's ID. -
channel_name(required)string— The chat channel's name. -
date_time(required)string, format:date-time— The date and time at which the chat message was pinned, in yyyy-MM-dd'T'HH:mm:ss'Z' format. -
message(required)string— The pinned message's content. -
message_id(required)string— The pinned message's ID. -
message_timestamp(required)integer, format:int64— The timestamp for when the pinned message was sent. -
timestamp(required)integer, format:int64— The timestamp for when the chat message was pinned. -
type(required)integer, possible values:1, 2, 3, 4, 5— The type of chat channel: * 1 — Private chat channel. Only invited members can join. * 2 — Private chat channel with the same account. Only invited members who are in the same Zoom account as the chat channel's creator can join. * 3 — Public chat channel. Anyone can search for and join this chat channel. * 4 — An instant channel. This type of channel is created by adding members to a new chat. * 5 — A public channel. Anyone can join this channel and invite members from other Zoom accounts. -
filesarray— The files info in the pinned message's content. Only when the pinned message contains files, the payload will include the files.Items:
-
file_id(required)string— The attachment's file ID. -
file_message_type(required)string, possible values:"file", "image", "audio", "audio v2", "code snippet", "screen shot"— The attachment's file type. -
file_name(required)string— The attachment's file name. -
file_size(required)integer— The attachment's file size in bytes. -
OS_file_type(required)string— The attachment's extension type.
-
-
rich_textarray— The [rich text formatting](https://support.zoom.us/hc/en-us/articles/115004789183-Replying-to-and-managing-chat-messages) info included in the pinned message. Only when the pinned message contains rich texts, the payload will include the rich_text.Items:
-
end_position(required)integer— The end position of the rich text. -
format_type(required)string, possible values:"Bold", "Italic", "Strikethrough", "BulletedList", "NumberedList", "Underline", "FontSize", "FontColor", "BackgroundColor", "LeftIndent", "Paragraph", "Quote", "AddLink"— The type of rich text. -
start_position(required)integer— The start position of the rich text in the message string. For example if the first character at the beginning of the message is bold, the value for this field will be 0. -
format_attrstring— Only when the format_type field is listed below, the payload will include the format_attr: 1.FontSize value: s for small, m for medium, or l for large font size. 2.FontColor and BackgroundColor value: only supports RGB value. For example: FFC0CB 3.LeftIndent value: a positive pixel length. 4.Paragraph value: h1 for Heading 1, h2 for Heading 2, or h3 for Heading 3. 5.AddLink value: must be a valid URL, with an http or https prefix. For example: https://example.com
-
-
-
operator(required)string, format:email— The email address of the user who pinned the chat message. If this action is performed by an external user, the value of the operator will be an empty string. -
operator_id(required)string— The user ID of the user who pinned the chat message. If this action is performed by an external user, the value of the operator_id will be an empty string. -
operator_member_id(required)string— The member ID of the user who pinned the chat message.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"operator_member_id": "",
"by_external_user": true,
"object": {
"channel_name": "",
"channel_id": "",
"type": 1,
"message_id": "",
"message": "",
"message_timestamp": 1,
"date_time": "",
"timestamp": 1,
"files": [
{
"OS_file_type": "",
"file_id": "",
"file_message_type": "file",
"file_name": "",
"file_size": 1
}
],
"rich_text": [
{
"start_position": 1,
"end_position": 1,
"format_type": "Bold",
"format_attr": ""
}
]
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who pinned the chat message. If this action is performed by an external user, the value of the account_id will be an empty string. -
by_external_user(required)boolean— Whether this action was performed by an external user. -
object(required)object— Information about the chat channel and the pinned message.-
channel_id(required)string— The chat channel's ID. -
channel_name(required)string— The chat channel's name. -
date_time(required)string, format:date-time— The date and time at which the chat message was pinned, in yyyy-MM-dd'T'HH:mm:ss'Z' format. -
message(required)string— The pinned message's content. -
message_id(required)string— The pinned message's ID. -
message_timestamp(required)integer, format:int64— The timestamp for when the pinned message was sent. -
timestamp(required)integer, format:int64— The timestamp for when the chat message was pinned. -
type(required)integer, possible values:1, 2, 3, 4, 5— The type of chat channel: * 1 — Private chat channel. Only invited members can join. * 2 — Private chat channel with the same account. Only invited members who are in the same Zoom account as the chat channel's creator can join. * 3 — Public chat channel. Anyone can search for and join this chat channel. * 4 — An instant channel. This type of channel is created by adding members to a new chat. * 5 — A public channel. Anyone can join this channel and invite members from other Zoom accounts. -
filesarray— The files info in the pinned message's content. Only when the pinned message contains files, the payload will include the files.Items:
-
file_id(required)string— The attachment's file ID. -
file_message_type(required)string, possible values:"file", "image", "audio", "audio v2", "code snippet", "screen shot"— The attachment's file type. -
file_name(required)string— The attachment's file name. -
file_size(required)integer— The attachment's file size in bytes. -
OS_file_type(required)string— The attachment's extension type.
-
-
rich_textarray— The [rich text formatting](https://support.zoom.us/hc/en-us/articles/115004789183-Replying-to-and-managing-chat-messages) info included in the pinned message. Only when the pinned message contains rich texts, the payload will include the rich_text.Items:
-
end_position(required)integer— The end position of the rich text. -
format_type(required)string, possible values:"Bold", "Italic", "Strikethrough", "BulletedList", "NumberedList", "Underline", "FontSize", "FontColor", "BackgroundColor", "LeftIndent", "Paragraph", "Quote", "AddLink"— The type of rich text. -
start_position(required)integer— The start position of the rich text in the message string. For example if the first character at the beginning of the message is bold, the value for this field will be 0. -
format_attrstring— Only when the format_type field is listed below, the payload will include the format_attr: 1.FontSize value: s for small, m for medium, or l for large font size. 2.FontColor and BackgroundColor value: only supports RGB value. For example: FFC0CB 3.LeftIndent value: a positive pixel length. 4.Paragraph value: h1 for Heading 1, h2 for Heading 2, or h3 for Heading 3. 5.AddLink value: must be a valid URL, with an http or https prefix. For example: https://example.com
-
-
-
operator(required)string, format:email— The email address of the user who pinned the chat message. If this action is performed by an external user, the value of the operator will be an empty string. -
operator_id(required)string— The user ID of the user who pinned the chat message. If this action is performed by an external user, the value of the operator_id will be an empty string. -
operator_member_id(required)string— The member ID of the user who pinned the chat message.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"operator_member_id": "",
"by_external_user": true,
"object": {
"channel_name": "",
"channel_id": "",
"type": 1,
"message_id": "",
"message": "",
"message_timestamp": 1,
"date_time": "",
"timestamp": 1,
"files": [
{
"OS_file_type": "",
"file_id": "",
"file_message_type": "file",
"file_name": "",
"file_size": 1
}
],
"rich_text": [
{
"start_position": 1,
"end_position": 1,
"format_type": "Bold",
"format_attr": ""
}
]
}
}
}
POST team_chat.dm_reaction_added
- Method:
POST - Path:
team_chat.dm_reaction_added - Tags: team_chat
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who added the emoji. This value returns an empty string for external users. -
by_external_user(required)boolean— Whether this action was performed by an external user. -
object(required)object— Information about the emoji.-
contact_email(required)string, format:email— The email address of the contact to whom the emoji was added. This value returns an empty string for external users. -
contact_id(required)string— The user ID of the contact to whom the emoji was added. This value returns an empty string for external users. -
contact_member_id(required)string— The member ID of the contact to whom the emoji was added. -
emoji(required)string— If the emoji is customzied, it returns the emoji's name. If the emoji is default, it will return unicode of this emoji. -
emoji_time(required)string, format:date-time— The date and time at which the emoji was added to the message, in yyyy-MM-dd'T'HH:mm:ss'Z' format. -
msg_id(required)string— The ID of chat message where the emoji was added -
msg_time(required)string, format:date-time— The date and time at which the message was added, in yyyy-MM-dd'T'HH:mm:ss'Z' format. -
timestamp(required)integer, format:int64— The timestamp for when the emoji was added to a message.
-
-
operator(required)string, format:email— The email address of the user who added the emoji. This value returns an empty string for external users. -
operator_id(required)string— The user ID of the user who added the emoji. This value returns an empty string for external users. -
operator_member_id(required)string— The member ID of the user who added the emoji.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"operator_member_id": "",
"by_external_user": true,
"object": {
"msg_id": "",
"msg_time": "",
"emoji_time": "",
"emoji": "",
"timestamp": 1,
"contact_email": "",
"contact_id": "",
"contact_member_id": ""
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who added the emoji. This value returns an empty string for external users. -
by_external_user(required)boolean— Whether this action was performed by an external user. -
object(required)object— Information about the emoji.-
contact_email(required)string, format:email— The email address of the contact to whom the emoji was added. This value returns an empty string for external users. -
contact_id(required)string— The user ID of the contact to whom the emoji was added. This value returns an empty string for external users. -
contact_member_id(required)string— The member ID of the contact to whom the emoji was added. -
emoji(required)string— If the emoji is customzied, it returns the emoji's name. If the emoji is default, it will return unicode of this emoji. -
emoji_time(required)string, format:date-time— The date and time at which the emoji was added to the message, in yyyy-MM-dd'T'HH:mm:ss'Z' format. -
msg_id(required)string— The ID of chat message where the emoji was added -
msg_time(required)string, format:date-time— The date and time at which the message was added, in yyyy-MM-dd'T'HH:mm:ss'Z' format. -
timestamp(required)integer, format:int64— The timestamp for when the emoji was added to a message.
-
-
operator(required)string, format:email— The email address of the user who added the emoji. This value returns an empty string for external users. -
operator_id(required)string— The user ID of the user who added the emoji. This value returns an empty string for external users. -
operator_member_id(required)string— The member ID of the user who added the emoji.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"operator_member_id": "",
"by_external_user": true,
"object": {
"msg_id": "",
"msg_time": "",
"emoji_time": "",
"emoji": "",
"timestamp": 1,
"contact_email": "",
"contact_id": "",
"contact_member_id": ""
}
}
}
POST team_chat.channel_archived
- Method:
POST - Path:
team_chat.channel_archived - Tags: team_chat
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who archived the chat channel. If this action is performed by an external user, the value of the account_id will be an empty string. -
by_external_user(required)boolean— Whether this action was performed by an external user. -
object(required)object— Information about the chat channel.-
date_time(required)string, format:date-time— The date and time at which the chat channel was archived, in yyyy-MM-dd'T'HH:mm:ss'Z' format. -
id(required)string— The chat channel's ID. -
name(required)string— The chat channel's name. -
timestamp(required)integer, format:int64— The timestamp for when the chat channel was archived. -
type(required)integer, possible values:1, 2, 3, 4, 5— The type of chat channel: * 1 — Private chat channel. Only invited members can join. * 2 — Private chat channel with the same account. Only invited members who are in the same Zoom account as the chat channel's creator can join. * 3 — Public chat channel. Anyone can search for and join this chat channel. * 4 — An instant channel. This type of channel is created by adding members to a new chat. * 5 — A public channel. Anyone can join this channel and invite members from other Zoom accounts.
-
-
operator(required)string, format:email— The email address of the user who archived the chat channel. If this action is performed by an external user, the value of the operator will be an empty string. -
operator_id(required)string— The user ID of the user who archived the chat channel. If this action is performed by an external user, the value of the operator_id will be an empty string. -
operator_member_id(required)string— The member ID of the user who archived the chat channel.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"operator_member_id": "",
"by_external_user": true,
"object": {
"name": "",
"id": "",
"type": 1,
"date_time": "",
"timestamp": 1
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who archived the chat channel. If this action is performed by an external user, the value of the account_id will be an empty string. -
by_external_user(required)boolean— Whether this action was performed by an external user. -
object(required)object— Information about the chat channel.-
date_time(required)string, format:date-time— The date and time at which the chat channel was archived, in yyyy-MM-dd'T'HH:mm:ss'Z' format. -
id(required)string— The chat channel's ID. -
name(required)string— The chat channel's name. -
timestamp(required)integer, format:int64— The timestamp for when the chat channel was archived. -
type(required)integer, possible values:1, 2, 3, 4, 5— The type of chat channel: * 1 — Private chat channel. Only invited members can join. * 2 — Private chat channel with the same account. Only invited members who are in the same Zoom account as the chat channel's creator can join. * 3 — Public chat channel. Anyone can search for and join this chat channel. * 4 — An instant channel. This type of channel is created by adding members to a new chat. * 5 — A public channel. Anyone can join this channel and invite members from other Zoom accounts.
-
-
operator(required)string, format:email— The email address of the user who archived the chat channel. If this action is performed by an external user, the value of the operator will be an empty string. -
operator_id(required)string— The user ID of the user who archived the chat channel. If this action is performed by an external user, the value of the operator_id will be an empty string. -
operator_member_id(required)string— The member ID of the user who archived the chat channel.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"operator_member_id": "",
"by_external_user": true,
"object": {
"name": "",
"id": "",
"type": 1,
"date_time": "",
"timestamp": 1
}
}
}
POST team_chat.bookmark_removed
- Method:
POST - Path:
team_chat.bookmark_removed - Tags: team_chat
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who unbookmarked the message. -
object(required)object— Information about the unbookmarked message.-
by_external_user(required)boolean— Whether this message was sent by an external user. -
date_time(required)string, format:date-time— The date and time at which the message was unbookmarked, in yyyy-MM-dd'T'HH:mm:ss'Z' format. -
message(required)string— The unbookmarked message's content. -
message_id(required)string— The unbookmarked message's ID. -
message_timestamp(required)integer, format:int64— The timestamp for when the unbookmarked message was sent. -
sender(required)string— The message sender's email address. If this message was sent by an external user and the type is to_channel, the value of the sender will be an empty string. -
sender_id(required)string— The message sender's user ID. If this message was sent by an external user, the value of the sender_id will be an empty string. -
sender_member_id(required)string— The message sender's member ID. -
timestamp(required)integer, format:int64— The timestamp for when the message was unbookmarked. -
type(required)string, possible values:"to_contact", "to_channel"— The type of message: * to_contact — The message was sent to a contact. * to_channel — The message was sent to a chat channel. -
channel_idstring— The chat channel's ID. Only when the type is to_channel, the payload will include the channel_id. -
filesarray— The files info in the unbookmarked message's content. Only when the unbookmarked message contains files, the payload will include the files.Items:
-
file_id(required)string— The attachment's file ID. -
file_message_type(required)string, possible values:"file", "image", "audio", "audio v2", "code snippet", "screen shot"— The attachment's file type. -
file_name(required)string— The attachment's file name. -
file_size(required)integer— The attachment's file size in bytes. -
OS_file_type(required)string— The attachment's extension type.
-
-
rich_textarray— The [rich text formatting](https://support.zoom.us/hc/en-us/articles/115004789183-Replying-to-and-managing-chat-messages) info included in the unbookmarked message. Only when the unbookmarked message contains rich texts, the payload will include the rich_text.Items:
-
end_position(required)integer— The end position of the rich text. -
format_type(required)string, possible values:"Bold", "Italic", "Strikethrough", "BulletedList", "NumberedList", "Underline", "FontSize", "FontColor", "BackgroundColor", "LeftIndent", "Paragraph", "Quote", "AddLink"— The type of rich text. -
start_position(required)integer— The start position of the rich text in the message string. For example if the first character at the beginning of the message is bold, the value for this field will be 0. -
format_attrstring— Only when the format_type field is listed below, the payload will include the format_attr: 1.FontSize value: s for small, m for medium, or l for large font size. 2.FontColor and BackgroundColor value: only supports RGB value. For example: FFC0CB 3.LeftIndent value: a positive pixel length. 4.Paragraph value: h1 for Heading 1, h2 for Heading 2, or h3 for Heading 3. 5.AddLink value: must be a valid URL, with an http or https prefix. For example: https://example.com
-
-
-
operator(required)string, format:email— The email address of the user who unbookmarked the message. -
operator_id(required)string— The user ID of the user who unbookmarked the message. -
operator_member_id(required)string— The member ID of the user who unbookmarked the message.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"operator_member_id": "",
"object": {
"type": "to_contact",
"channel_id": "",
"message_id": "",
"message": "",
"message_timestamp": 1,
"sender": "",
"sender_id": "",
"sender_member_id": "",
"by_external_user": true,
"date_time": "",
"timestamp": 1,
"files": [
{
"OS_file_type": "",
"file_id": "",
"file_message_type": "file",
"file_name": "",
"file_size": 1
}
],
"rich_text": [
{
"start_position": 1,
"end_position": 1,
"format_type": "Bold",
"format_attr": ""
}
]
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who unbookmarked the message. -
object(required)object— Information about the unbookmarked message.-
by_external_user(required)boolean— Whether this message was sent by an external user. -
date_time(required)string, format:date-time— The date and time at which the message was unbookmarked, in yyyy-MM-dd'T'HH:mm:ss'Z' format. -
message(required)string— The unbookmarked message's content. -
message_id(required)string— The unbookmarked message's ID. -
message_timestamp(required)integer, format:int64— The timestamp for when the unbookmarked message was sent. -
sender(required)string— The message sender's email address. If this message was sent by an external user and the type is to_channel, the value of the sender will be an empty string. -
sender_id(required)string— The message sender's user ID. If this message was sent by an external user, the value of the sender_id will be an empty string. -
sender_member_id(required)string— The message sender's member ID. -
timestamp(required)integer, format:int64— The timestamp for when the message was unbookmarked. -
type(required)string, possible values:"to_contact", "to_channel"— The type of message: * to_contact — The message was sent to a contact. * to_channel — The message was sent to a chat channel. -
channel_idstring— The chat channel's ID. Only when the type is to_channel, the payload will include the channel_id. -
filesarray— The files info in the unbookmarked message's content. Only when the unbookmarked message contains files, the payload will include the files.Items:
-
file_id(required)string— The attachment's file ID. -
file_message_type(required)string, possible values:"file", "image", "audio", "audio v2", "code snippet", "screen shot"— The attachment's file type. -
file_name(required)string— The attachment's file name. -
file_size(required)integer— The attachment's file size in bytes. -
OS_file_type(required)string— The attachment's extension type.
-
-
rich_textarray— The [rich text formatting](https://support.zoom.us/hc/en-us/articles/115004789183-Replying-to-and-managing-chat-messages) info included in the unbookmarked message. Only when the unbookmarked message contains rich texts, the payload will include the rich_text.Items:
-
end_position(required)integer— The end position of the rich text. -
format_type(required)string, possible values:"Bold", "Italic", "Strikethrough", "BulletedList", "NumberedList", "Underline", "FontSize", "FontColor", "BackgroundColor", "LeftIndent", "Paragraph", "Quote", "AddLink"— The type of rich text. -
start_position(required)integer— The start position of the rich text in the message string. For example if the first character at the beginning of the message is bold, the value for this field will be 0. -
format_attrstring— Only when the format_type field is listed below, the payload will include the format_attr: 1.FontSize value: s for small, m for medium, or l for large font size. 2.FontColor and BackgroundColor value: only supports RGB value. For example: FFC0CB 3.LeftIndent value: a positive pixel length. 4.Paragraph value: h1 for Heading 1, h2 for Heading 2, or h3 for Heading 3. 5.AddLink value: must be a valid URL, with an http or https prefix. For example: https://example.com
-
-
-
operator(required)string, format:email— The email address of the user who unbookmarked the message. -
operator_id(required)string— The user ID of the user who unbookmarked the message. -
operator_member_id(required)string— The member ID of the user who unbookmarked the message.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"operator_member_id": "",
"object": {
"type": "to_contact",
"channel_id": "",
"message_id": "",
"message": "",
"message_timestamp": 1,
"sender": "",
"sender_id": "",
"sender_member_id": "",
"by_external_user": true,
"date_time": "",
"timestamp": 1,
"files": [
{
"OS_file_type": "",
"file_id": "",
"file_message_type": "file",
"file_name": "",
"file_size": 1
}
],
"rich_text": [
{
"start_position": 1,
"end_position": 1,
"format_type": "Bold",
"format_attr": ""
}
]
}
}
}
POST team_chat.channel_pin_removed
- Method:
POST - Path:
team_chat.channel_pin_removed - Tags: team_chat
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who unpinned the chat message. If this action is performed by an external user, the value of the account_id will be an empty string. -
by_external_user(required)boolean— Whether this action was performed by an external user. -
object(required)object— Information about the chat channel and the unpinned message.-
channel_id(required)string— The chat channel's ID. -
channel_name(required)string— The chat channel's name. -
date_time(required)string, format:date-time— The date and time at which the chat message was unpinned, in yyyy-MM-dd'T'HH:mm:ss'Z' format. -
message(required)string— The unpinned message's content. -
message_id(required)string— The unpinned message's ID. -
message_timestamp(required)integer, format:int64— The timestamp for when the unpinned message was sent. -
timestamp(required)integer, format:int64— The timestamp for when the chat message was unpinned. -
type(required)integer, possible values:1, 2, 3, 4, 5— The type of chat channel: * 1 — Private chat channel. Only invited members can join. * 2 — Private chat channel with the same account. Only invited members who are in the same Zoom account as the chat channel's creator can join. * 3 — Public chat channel. Anyone can search for and join this chat channel. * 4 — An instant channel. This type of channel is created by adding members to a new chat. * 5 — A public channel. Anyone can join this channel and invite members from other Zoom accounts. -
filesarray— The files info in the unpinned message's content. Only when the unpinned message contains files, the payload will include the files.Items:
-
file_id(required)string— The attachment's file ID. -
file_message_type(required)string, possible values:"file", "image", "audio", "audio v2", "code snippet", "screen shot"— The attachment's file type. -
file_name(required)string— The attachment's file name. -
file_size(required)integer— The attachment's file size in bytes. -
OS_file_type(required)string— The attachment's extension type.
-
-
rich_textarray— The [rich text formatting](https://support.zoom.us/hc/en-us/articles/115004789183-Replying-to-and-managing-chat-messages) info included in the unpinned message. Only when the unpinned message contains rich texts, the payload will include the rich_text.Items:
-
end_position(required)integer— The end position of the rich text. -
format_type(required)string, possible values:"Bold", "Italic", "Strikethrough", "BulletedList", "NumberedList", "Underline", "FontSize", "FontColor", "BackgroundColor", "LeftIndent", "Paragraph", "Quote", "AddLink"— The type of rich text. -
start_position(required)integer— The start position of the rich text in the message string. For example if the first character at the beginning of the message is bold, the value for this field will be 0. -
format_attrstring— Only when the format_type field is listed below, the payload will include the format_attr: 1.FontSize value: s for small, m for medium, or l for large font size. 2.FontColor and BackgroundColor value: only supports RGB value. For example: FFC0CB 3.LeftIndent value: a positive pixel length. 4.Paragraph value: h1 for Heading 1, h2 for Heading 2, or h3 for Heading 3. 5.AddLink value: must be a valid URL, with an http or https prefix. For example: https://example.com
-
-
-
operator(required)string, format:email— The email address of the user who unpinned the chat message. If this action is performed by an external user, the value of the operator will be an empty string. -
operator_id(required)string— The user ID of the user who unpinned the chat message. If this action is performed by an external user, the value of the operator_id will be an empty string. -
operator_member_id(required)string— The member ID of the user who unpinned the chat message.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"operator_member_id": "",
"by_external_user": true,
"object": {
"channel_name": "",
"channel_id": "",
"type": 1,
"message_id": "",
"message": "",
"message_timestamp": 1,
"date_time": "",
"timestamp": 1,
"files": [
{
"OS_file_type": "",
"file_id": "",
"file_message_type": "file",
"file_name": "",
"file_size": 1
}
],
"rich_text": [
{
"start_position": 1,
"end_position": 1,
"format_type": "Bold",
"format_attr": ""
}
]
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who unpinned the chat message. If this action is performed by an external user, the value of the account_id will be an empty string. -
by_external_user(required)boolean— Whether this action was performed by an external user. -
object(required)object— Information about the chat channel and the unpinned message.-
channel_id(required)string— The chat channel's ID. -
channel_name(required)string— The chat channel's name. -
date_time(required)string, format:date-time— The date and time at which the chat message was unpinned, in yyyy-MM-dd'T'HH:mm:ss'Z' format. -
message(required)string— The unpinned message's content. -
message_id(required)string— The unpinned message's ID. -
message_timestamp(required)integer, format:int64— The timestamp for when the unpinned message was sent. -
timestamp(required)integer, format:int64— The timestamp for when the chat message was unpinned. -
type(required)integer, possible values:1, 2, 3, 4, 5— The type of chat channel: * 1 — Private chat channel. Only invited members can join. * 2 — Private chat channel with the same account. Only invited members who are in the same Zoom account as the chat channel's creator can join. * 3 — Public chat channel. Anyone can search for and join this chat channel. * 4 — An instant channel. This type of channel is created by adding members to a new chat. * 5 — A public channel. Anyone can join this channel and invite members from other Zoom accounts. -
filesarray— The files info in the unpinned message's content. Only when the unpinned message contains files, the payload will include the files.Items:
-
file_id(required)string— The attachment's file ID. -
file_message_type(required)string, possible values:"file", "image", "audio", "audio v2", "code snippet", "screen shot"— The attachment's file type. -
file_name(required)string— The attachment's file name. -
file_size(required)integer— The attachment's file size in bytes. -
OS_file_type(required)string— The attachment's extension type.
-
-
rich_textarray— The [rich text formatting](https://support.zoom.us/hc/en-us/articles/115004789183-Replying-to-and-managing-chat-messages) info included in the unpinned message. Only when the unpinned message contains rich texts, the payload will include the rich_text.Items:
-
end_position(required)integer— The end position of the rich text. -
format_type(required)string, possible values:"Bold", "Italic", "Strikethrough", "BulletedList", "NumberedList", "Underline", "FontSize", "FontColor", "BackgroundColor", "LeftIndent", "Paragraph", "Quote", "AddLink"— The type of rich text. -
start_position(required)integer— The start position of the rich text in the message string. For example if the first character at the beginning of the message is bold, the value for this field will be 0. -
format_attrstring— Only when the format_type field is listed below, the payload will include the format_attr: 1.FontSize value: s for small, m for medium, or l for large font size. 2.FontColor and BackgroundColor value: only supports RGB value. For example: FFC0CB 3.LeftIndent value: a positive pixel length. 4.Paragraph value: h1 for Heading 1, h2 for Heading 2, or h3 for Heading 3. 5.AddLink value: must be a valid URL, with an http or https prefix. For example: https://example.com
-
-
-
operator(required)string, format:email— The email address of the user who unpinned the chat message. If this action is performed by an external user, the value of the operator will be an empty string. -
operator_id(required)string— The user ID of the user who unpinned the chat message. If this action is performed by an external user, the value of the operator_id will be an empty string. -
operator_member_id(required)string— The member ID of the user who unpinned the chat message.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"operator_member_id": "",
"by_external_user": true,
"object": {
"channel_name": "",
"channel_id": "",
"type": 1,
"message_id": "",
"message": "",
"message_timestamp": 1,
"date_time": "",
"timestamp": 1,
"files": [
{
"OS_file_type": "",
"file_id": "",
"file_message_type": "file",
"file_name": "",
"file_size": 1
}
],
"rich_text": [
{
"start_position": 1,
"end_position": 1,
"format_type": "Bold",
"format_attr": ""
}
]
}
}
}
POST team_chat.channel_join_approval_requested
- Method:
POST - Path:
team_chat.channel_join_approval_requested - Tags: team_chat
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
object(required)object— Information about the request.-
date_time(required)string, format:date-time— The date and time at which this approval request is sent, in yyyy-MM-dd'T'HH:mm:ss'Z' format. -
requester(required)object— Information about the requester.-
display_name(required)string— The display name of the user who requested to join this chat channel. -
member_id(required)string— The member ID of the user who requested to join this chat channel. -
user_email(required)string, format:email— The email address of the user who requested to join this chat channel. This value returns an empty string for external users. -
user_id(required)string— The user ID of the user who requested to join this chat channel. This value returns an empty string for external users.
-
-
timestamp(required)integer, format:int64— The timestamp for when this approval request is sent. -
type(required)string, possible values:"to_channel_account_admin", "to_requester_account_admin", "to_channel_owner"— The type of this approval request: * to_requester_account_admin — The request needs approval of requster account admin. * to_channel_account_admin — The request needs approval of channel owner account admin. * to_channel_owner — The request needs approval of channel owner. -
channelobject— Information about the chat channel. This object is blank for external channel.-
channel_id(required)string— The chat channel's ID. -
channel_name(required)string— The chat channel's name. -
type(required)integer, possible values:1, 2, 3, 4, 5— The type of chat channel: * 1 — Private chat channel. Only invited members can join. * 2 — Private chat channel with the same account. Only invited members who are in the same Zoom account as the chat channel's creator can join. * 3 — Public chat channel. Anyone can search for and join this chat channel. * 4 — An instant channel. This type of channel is created by adding members to a new chat. * 5 — A public channel. Anyone can join this channel and invite members from other Zoom accounts.
-
-
organizationobject— Information about organization of channel owner. This object is blank for external organization.-
org_id(required)string— The organization's ID. -
org_name(required)string— The organization's name.
-
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"object": {
"organization": {
"org_id": "",
"org_name": ""
},
"channel": {
"channel_id": "",
"channel_name": "",
"type": 1
},
"requester": {
"user_id": "",
"display_name": "",
"user_email": "",
"member_id": ""
},
"date_time": "",
"timestamp": 1,
"type": "to_channel_account_admin"
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
object(required)object— Information about the request.-
date_time(required)string, format:date-time— The date and time at which this approval request is sent, in yyyy-MM-dd'T'HH:mm:ss'Z' format. -
requester(required)object— Information about the requester.-
display_name(required)string— The display name of the user who requested to join this chat channel. -
member_id(required)string— The member ID of the user who requested to join this chat channel. -
user_email(required)string, format:email— The email address of the user who requested to join this chat channel. This value returns an empty string for external users. -
user_id(required)string— The user ID of the user who requested to join this chat channel. This value returns an empty string for external users.
-
-
timestamp(required)integer, format:int64— The timestamp for when this approval request is sent. -
type(required)string, possible values:"to_channel_account_admin", "to_requester_account_admin", "to_channel_owner"— The type of this approval request: * to_requester_account_admin — The request needs approval of requster account admin. * to_channel_account_admin — The request needs approval of channel owner account admin. * to_channel_owner — The request needs approval of channel owner. -
channelobject— Information about the chat channel. This object is blank for external channel.-
channel_id(required)string— The chat channel's ID. -
channel_name(required)string— The chat channel's name. -
type(required)integer, possible values:1, 2, 3, 4, 5— The type of chat channel: * 1 — Private chat channel. Only invited members can join. * 2 — Private chat channel with the same account. Only invited members who are in the same Zoom account as the chat channel's creator can join. * 3 — Public chat channel. Anyone can search for and join this chat channel. * 4 — An instant channel. This type of channel is created by adding members to a new chat. * 5 — A public channel. Anyone can join this channel and invite members from other Zoom accounts.
-
-
organizationobject— Information about organization of channel owner. This object is blank for external organization.-
org_id(required)string— The organization's ID. -
org_name(required)string— The organization's name.
-
-
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"object": {
"organization": {
"org_id": "",
"org_name": ""
},
"channel": {
"channel_id": "",
"channel_name": "",
"type": 1
},
"requester": {
"user_id": "",
"display_name": "",
"user_email": "",
"member_id": ""
},
"date_time": "",
"timestamp": 1,
"type": "to_channel_account_admin"
}
}
}
POST team_chat.file_downloaded
- Method:
POST - Path:
team_chat.file_downloaded - Tags: team_chat
Request Body
Content-Type: application/json
-
event(required)string— The event's name. -
event_ts(required)integer, format:int64— The timestamp when the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who downloaded the team chat file. This value returns blank for external users. -
object(required)object— Information about the chat message file.-
file(required)object— Information about the team chat message file.-
file_id(required)string— The team chat file's universally unique identifier (UUID), in base64-encoded format. -
file_name(required)string— The team chat file's name. -
file_owner_member_id(required)string— The member ID of the user who uploaded the team chat file. -
file_size(required)integer— The team chat file's size, in bytes. -
file_type(required)string— The team chat file's type. -
file_owner_idstring— The user ID of the user who uploaded the team chat file. This value returns blank for external users.
-
-
timestamp(required)integer, format:int64— The timestamp when the message was sent. -
channel_idstring— The team chat channel's ID. This field only displays when the file was sent in the chat channel. -
contact_emailstring, format:email— The email address of the contact. This field only displays when the file was sent in a one-on-one chat between the operator and the contact. This value returns an empty string for external users -
contact_idstring— The file message contact's user ID. This field only display when the file was sent in a one-on-one chat between the operator and the contact. This value returns an empty string for external users. -
contact_member_idstring— The file message contact's member ID. This field only displays when the file was sent in a one-on-one chat between the operator and the contact.
-
-
operator(required)string, format:email— The email address of the user who downloaded the team chat file. This value returns blank for external users. -
operator_id(required)string— The user ID of the user who downloaded the team chat file. This value returns blank for external users. -
operator_member_id(required)string— The member ID of the user who downloaded the team chat file.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"operator_member_id": "",
"object": {
"contact_email": "",
"contact_id": "",
"contact_member_id": "",
"channel_id": "",
"timestamp": 1,
"file": {
"file_id": "",
"file_name": "",
"file_size": 1,
"file_type": "",
"file_owner_id": "",
"file_owner_member_id": ""
}
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The event's name. -
event_ts(required)integer, format:int64— The timestamp when the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who downloaded the team chat file. This value returns blank for external users. -
object(required)object— Information about the chat message file.-
file(required)object— Information about the team chat message file.-
file_id(required)string— The team chat file's universally unique identifier (UUID), in base64-encoded format. -
file_name(required)string— The team chat file's name. -
file_owner_member_id(required)string— The member ID of the user who uploaded the team chat file. -
file_size(required)integer— The team chat file's size, in bytes. -
file_type(required)string— The team chat file's type. -
file_owner_idstring— The user ID of the user who uploaded the team chat file. This value returns blank for external users.
-
-
timestamp(required)integer, format:int64— The timestamp when the message was sent. -
channel_idstring— The team chat channel's ID. This field only displays when the file was sent in the chat channel. -
contact_emailstring, format:email— The email address of the contact. This field only displays when the file was sent in a one-on-one chat between the operator and the contact. This value returns an empty string for external users -
contact_idstring— The file message contact's user ID. This field only display when the file was sent in a one-on-one chat between the operator and the contact. This value returns an empty string for external users. -
contact_member_idstring— The file message contact's member ID. This field only displays when the file was sent in a one-on-one chat between the operator and the contact.
-
-
operator(required)string, format:email— The email address of the user who downloaded the team chat file. This value returns blank for external users. -
operator_id(required)string— The user ID of the user who downloaded the team chat file. This value returns blank for external users. -
operator_member_id(required)string— The member ID of the user who downloaded the team chat file.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"operator_member_id": "",
"object": {
"contact_email": "",
"contact_id": "",
"contact_member_id": "",
"channel_id": "",
"timestamp": 1,
"file": {
"file_id": "",
"file_name": "",
"file_size": 1,
"file_type": "",
"file_owner_id": "",
"file_owner_member_id": ""
}
}
}
}
POST team_chat.dm_message_posted
- Method:
POST - Path:
team_chat.dm_message_posted - Tags: team_chat
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who triggered the action.If this action is performed by an external user, the value of the account_id will be an empty string. -
by_external_user(required)boolean— Whether this action was performed by an external user. -
object(required)object— The Iiformation about the message.-
contact_account_id(required)string— The message contact's account ID.The value will be an empty string if this info is from an external user. -
contact_email(required)string, format:email— The email address of the contact to whom the message was sent. -
contact_id(required)string— The message contact's user ID.The value will be an empty string if this info is from an external user. -
contact_member_id(required)string— The message contact's member ID. -
date_time(required)string, format:date-time— The date and time at which the message was sent, in yyyy-MM-dd'T'HH:mm:ss'Z' format. -
message_id(required)string— The message's ID. -
session_id(required)string— The chat session's unique ID. -
timestamp(required)integer, format:int64— The timestamp for when the message was sent. -
filesarray— The attachment file's info in sent message's content.Items:
-
file_id(required)string— The attachment file's universally unique identifier (UUID), in base64-encoded format. -
file_message_type(required)string, possible values:"file", "image", "audio", "audio v2", "code snippet", "screen shot"— The attachment file's message type -
file_name(required)string— The attachment file's name. -
file_size(required)integer— The attachment file's size, in bytes. -
OS_file_type(required)string— The attachment file's extension type
-
-
messagestring— The sent message's content.If this event only occurs when sending a file, the value of the message will not exist. -
reply_main_message_idstring— The ID of the parent message in the chat thread.It's only available if the message is a reply to a main message in a thread. -
rich_textarray— The [rich text formatting](https://support.zoom.us/hc/en-us/articles/115004789183-Replying-to-and-managing-chat-messages)object. Use this object to include rich text info in sent message's content.Items:
-
end_position(required)integer— The end position of the rich text. -
format_type(required)string, possible values:"Bold", "Italic", "Strikethrough", "BulletedList", "NumberedList", "Underline", "FontSize", "FontColor", "BackgroundColor", "LeftIndent", "Paragraph", "Quote", "AddLink"— The type of rich text. -
start_position(required)integer— The start position of the rich text in the message string. For example if the first character at the beginning of the message is bold, the value for this field will be 0. -
format_attrstring— This field is non-null if the value of the format_type field is listed below: 1.FontSize value: s for small, m for medium, or l for large font size. 2.FontColor and BackgroundColor value: only supports RGB value. For example: FFC0CB 3.LeftIndent value: a positive pixel length. 4.Paragraph value: h1 for Heading 1, h2 for Heading 2, or h3 for Heading 3. 5.AddLink value: must be a valid URL, with an http or https prefix. For example: https://example.com
-
-
-
operator(required)string, format:email— The email address of the user who triggered the action. -
operator_id(required)string— The user ID of the user who triggered the action.If this action is performed by an external user, the value of the operator_id will be an empty string. -
operator_member_id(required)string— The member ID of the user who triggered the action.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"operator_member_id": "",
"by_external_user": true,
"object": {
"message_id": "",
"reply_main_message_id": "",
"session_id": "",
"date_time": "",
"timestamp": 1,
"contact_email": "",
"contact_id": "",
"contact_account_id": "",
"contact_member_id": "",
"message": "",
"files": [
{
"OS_file_type": "",
"file_id": "",
"file_message_type": "file",
"file_name": "",
"file_size": 1
}
],
"rich_text": [
{
"start_position": 1,
"end_position": 1,
"format_type": "Bold",
"format_attr": ""
}
]
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who triggered the action.If this action is performed by an external user, the value of the account_id will be an empty string. -
by_external_user(required)boolean— Whether this action was performed by an external user. -
object(required)object— The Iiformation about the message.-
contact_account_id(required)string— The message contact's account ID.The value will be an empty string if this info is from an external user. -
contact_email(required)string, format:email— The email address of the contact to whom the message was sent. -
contact_id(required)string— The message contact's user ID.The value will be an empty string if this info is from an external user. -
contact_member_id(required)string— The message contact's member ID. -
date_time(required)string, format:date-time— The date and time at which the message was sent, in yyyy-MM-dd'T'HH:mm:ss'Z' format. -
message_id(required)string— The message's ID. -
session_id(required)string— The chat session's unique ID. -
timestamp(required)integer, format:int64— The timestamp for when the message was sent. -
filesarray— The attachment file's info in sent message's content.Items:
-
file_id(required)string— The attachment file's universally unique identifier (UUID), in base64-encoded format. -
file_message_type(required)string, possible values:"file", "image", "audio", "audio v2", "code snippet", "screen shot"— The attachment file's message type -
file_name(required)string— The attachment file's name. -
file_size(required)integer— The attachment file's size, in bytes. -
OS_file_type(required)string— The attachment file's extension type
-
-
messagestring— The sent message's content.If this event only occurs when sending a file, the value of the message will not exist. -
reply_main_message_idstring— The ID of the parent message in the chat thread.It's only available if the message is a reply to a main message in a thread. -
rich_textarray— The [rich text formatting](https://support.zoom.us/hc/en-us/articles/115004789183-Replying-to-and-managing-chat-messages)object. Use this object to include rich text info in sent message's content.Items:
-
end_position(required)integer— The end position of the rich text. -
format_type(required)string, possible values:"Bold", "Italic", "Strikethrough", "BulletedList", "NumberedList", "Underline", "FontSize", "FontColor", "BackgroundColor", "LeftIndent", "Paragraph", "Quote", "AddLink"— The type of rich text. -
start_position(required)integer— The start position of the rich text in the message string. For example if the first character at the beginning of the message is bold, the value for this field will be 0. -
format_attrstring— This field is non-null if the value of the format_type field is listed below: 1.FontSize value: s for small, m for medium, or l for large font size. 2.FontColor and BackgroundColor value: only supports RGB value. For example: FFC0CB 3.LeftIndent value: a positive pixel length. 4.Paragraph value: h1 for Heading 1, h2 for Heading 2, or h3 for Heading 3. 5.AddLink value: must be a valid URL, with an http or https prefix. For example: https://example.com
-
-
-
operator(required)string, format:email— The email address of the user who triggered the action. -
operator_id(required)string— The user ID of the user who triggered the action.If this action is performed by an external user, the value of the operator_id will be an empty string. -
operator_member_id(required)string— The member ID of the user who triggered the action.
-
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"operator_member_id": "",
"by_external_user": true,
"object": {
"message_id": "",
"reply_main_message_id": "",
"session_id": "",
"date_time": "",
"timestamp": 1,
"contact_email": "",
"contact_id": "",
"contact_account_id": "",
"contact_member_id": "",
"message": "",
"files": [
{
"OS_file_type": "",
"file_id": "",
"file_message_type": "file",
"file_name": "",
"file_size": 1
}
],
"rich_text": [
{
"start_position": 1,
"end_position": 1,
"format_type": "Bold",
"format_attr": ""
}
]
}
}
}
POST team_chat.shared_spaces_edited
- Method:
POST - Path:
team_chat.shared_spaces_edited - Tags: team_chat
Request Body
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp, in milliseconds since epoch, at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who edited the space. This value returns an empty string for external users. -
object(required)object-
new_settings(required)object— Information about the shared space's new settings.-
desc(required)string— The new/unchanged description of the space. -
name(required)string— The new/unchanged name of the space. -
option(required)object— The new/unchanged option of the space.-
add_external_users(required)string, possible values:"disabled", "by_same_org", "by_owner_and_admins", "by_any_member"— Who is able to add external users to the shared space, if at all. -
add_new_channels(required)string, possible values:"by_owner_and_admins", "by_any_member"— Who is able to add channels to the shared space. -
add_new_members(required)string, possible values:"by_owner_and_admins", "by_any_member"— Who is able to add members to the shared space. -
is_public(required)boolean— Whether or not the shared space is public.
-
-
-
old_settings(required)object— Information about the shared space's old settings.-
desc(required)string— The old/unchanged description of the space. -
name(required)string— The old/unchanged name of the space. -
option(required)object— The old/unchanged option of the space.-
add_external_users(required)string, possible values:"disabled", "by_same_org", "by_owner_and_admins", "by_any_member"— Who was able to add external users to the shared space, if at all. -
add_new_channels(required)string, possible values:"by_owner_and_admins", "by_any_member"— Who was able to add channels to the shared space. -
add_new_members(required)string, possible values:"by_owner_and_admins", "by_any_member"— Who was able to add members to the shared space. -
is_public(required)boolean— Whether or not the shared space was public.
-
-
-
space_id(required)string— The ID of the space. -
timestampinteger, format:int64— A timestamp, in milliseconds since epoch, at which the event occurred.
-
-
operator(required)string, format:email— The email address of the user who who edited the space. This value returns an empty string for external users. -
operator_id(required)string— The user ID of the user who edited the space. This value returns an empty string for external users. -
operator_member_id(required)string— The member ID of the user who edited the space. -
additionalPropertiesobject
-
-
additionalPropertiesobject
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"operator_member_id": "",
"object": {
"space_id": "",
"new_settings": {
"name": "",
"desc": "",
"option": {
"is_public": true,
"add_new_members": "by_owner_and_admins",
"add_new_channels": "by_owner_and_admins",
"add_external_users": "disabled"
}
},
"old_settings": {
"name": "",
"desc": "",
"option": {
"is_public": true,
"add_new_members": "by_owner_and_admins",
"add_new_channels": "by_owner_and_admins",
"add_external_users": "disabled"
}
},
"timestamp": 1
}
}
}
Responses
Status: 200
Content-Type: application/json
-
event(required)string— The name of the event. -
event_ts(required)integer, format:int64— A timestamp, in milliseconds since epoch, at which the event occurred. -
payload(required)object-
account_id(required)string— The account ID of the user who edited the space. This value returns an empty string for external users. -
object(required)object-
new_settings(required)object— Information about the shared space's new settings.-
desc(required)string— The new/unchanged description of the space. -
name(required)string— The new/unchanged name of the space. -
option(required)object— The new/unchanged option of the space.-
add_external_users(required)string, possible values:"disabled", "by_same_org", "by_owner_and_admins", "by_any_member"— Who is able to add external users to the shared space, if at all. -
add_new_channels(required)string, possible values:"by_owner_and_admins", "by_any_member"— Who is able to add channels to the shared space. -
add_new_members(required)string, possible values:"by_owner_and_admins", "by_any_member"— Who is able to add members to the shared space. -
is_public(required)boolean— Whether or not the shared space is public.
-
-
-
old_settings(required)object— Information about the shared space's old settings.-
desc(required)string— The old/unchanged description of the space. -
name(required)string— The old/unchanged name of the space. -
option(required)object— The old/unchanged option of the space.-
add_external_users(required)string, possible values:"disabled", "by_same_org", "by_owner_and_admins", "by_any_member"— Who was able to add external users to the shared space, if at all. -
add_new_channels(required)string, possible values:"by_owner_and_admins", "by_any_member"— Who was able to add channels to the shared space. -
add_new_members(required)string, possible values:"by_owner_and_admins", "by_any_member"— Who was able to add members to the shared space. -
is_public(required)boolean— Whether or not the shared space was public.
-
-
-
space_id(required)string— The ID of the space. -
timestampinteger, format:int64— A timestamp, in milliseconds since epoch, at which the event occurred.
-
-
operator(required)string, format:email— The email address of the user who who edited the space. This value returns an empty string for external users. -
operator_id(required)string— The user ID of the user who edited the space. This value returns an empty string for external users. -
operator_member_id(required)string— The member ID of the user who edited the space. -
additionalPropertiesobject
-
-
additionalPropertiesobject
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"operator_member_id": "",
"object": {
"space_id": "",
"new_settings": {
"name": "",
"desc": "",
"option": {
"is_public": true,
"add_new_members": "by_owner_and_admins",
"add_new_channels": "by_owner_and_admins",
"add_external_users": "disabled"
}
},
"old_settings": {
"name": "",
"desc": "",
"option": {
"is_public": true,
"add_new_members": "by_owner_and_admins",
"add_new_channels": "by_owner_and_admins",
"add_external_users": "disabled"
}
},
"timestamp": 1
}
}
}
POST chat_channel.updated
- Method:
POST - Path:
chat_channel.updated - Tags: chat_channel
Request Body
Content-Type: application/json
-
event(required)string— The event's name. -
event_ts(required)integer, format:int64— A timestamp, in milliseconds since epoch, at which the event occurred. -
payload(required)object-
[...]
